import { EventArgs, Base, Type, Point, IList$1, IEnumerable, IEnumerator$1, IEnumerator, INotifyPropertyChanged, PropertyChangedEventArgs } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { DataTemplate } from "igniteui-react-core";
import { Visibility } from "igniteui-react-core";
import { DoubleCollection } from "igniteui-react-core";
import { PenLineCap } from "igniteui-react-core";
import { Style } from "igniteui-react-core";
import { MarkerType } from "./MarkerType";
import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { Series } from "./Series";
import { List$1 } from "igniteui-react-core";
import { AnchoredCategorySeries } from "./AnchoredCategorySeries";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategorySeries } from "./CategorySeries";
import { CategoryFramePreparer } from "./CategoryFramePreparer";
import { NumericAxisBase } from "./NumericAxisBase";
import { ISupportsMarkers } from "./ISupportsMarkers";
import { CategoryFrame } from "./CategoryFrame";
import { IDetectsCollisions } from "./IDetectsCollisions";
import { Rect } from "igniteui-react-core";
import { CategorySeriesView } from "./CategorySeriesView";
import { SeriesView } from "./SeriesView";
import { Axis } from "./Axis";
import { SeriesViewer } from "./SeriesViewer";
import { PointCollection } from "igniteui-react-core";
import { ObservableCollection$1 } from "igniteui-react-core";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { IChartLegend } from "igniteui-react-core";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { CategoryBucketCalculator } from "./CategoryBucketCalculator";
import { RenderSurface } from "./RenderSurface";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { Path } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { DependencyObject } from "igniteui-react-core";
import { NumericYAxis } from "./NumericYAxis";
import { Pool$1 } from "igniteui-react-core";
import { Rectangle } from "igniteui-react-core";
import { IScaler } from "./IScaler";
import { IIsCategoryBased } from "./IIsCategoryBased";
import { NumericXAxis } from "./NumericXAxis";
import { CategoryYAxis } from "./CategoryYAxis";
import { AnchoredCategoryBucketCalculator } from "./AnchoredCategoryBucketCalculator";
import { SplineSeriesBase } from "./SplineSeriesBase";
import { CollisionAvoider } from "./CollisionAvoider";
import { ICategoryScaler } from "./ICategoryScaler";
import { IBucketizer } from "./IBucketizer";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { SeriesPlotAreaMarginHorizontalMode } from "./SeriesPlotAreaMarginHorizontalMode";
import { SeriesPlotAreaMarginVerticalMode } from "./SeriesPlotAreaMarginVerticalMode";
import { IBarSeries } from "./IBarSeries";
import { Color } from "igniteui-react-core";
import { LegendItemBadgeShape } from "igniteui-react-core";
import { LegendItemBadgeMode } from "igniteui-react-core";
import { MarkerFillMode } from "./MarkerFillMode";
import { MarkerOutlineMode } from "./MarkerOutlineMode";
import { SeriesOutlineMode } from "./SeriesOutlineMode";
import { SeriesHighlightedValuesDisplayMode } from "./SeriesHighlightedValuesDisplayMode";
import { TransitionInSpeedType } from "./TransitionInSpeedType";
import { DomRenderer } from "igniteui-react-core";
import { PropertyUpdatedEventArgs } from "igniteui-react-core";
import { SeriesPointOfInterest } from "./SeriesPointOfInterest";
import { IProvidesViewport } from "./IProvidesViewport";
import { ISupportsErrorBars } from "./ISupportsErrorBars";
import { ValuesHolder } from "./ValuesHolder";
import { PreparationParams } from "./PreparationParams";
import { RenderingContext } from "igniteui-react-core";
import { SplineSeriesBaseView } from "./SplineSeriesBaseView";
import { Canvas } from "igniteui-react-core";
import { Panel } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class StackedSeriesCreatedEventArgs extends EventArgs {
    static $t: Type;
    constructor(a: StackedFragmentSeries);
    c: StackedFragmentSeries;
    get brush(): Brush;
    set brush(a: Brush);
    get legendItemTemplate(): DataTemplate;
    set legendItemTemplate(a: DataTemplate);
    get legendItemBadgeTemplate(): DataTemplate;
    set legendItemBadgeTemplate(a: DataTemplate);
    get legendItemVisibility(): Visibility;
    set legendItemVisibility(a: Visibility);
    get outline(): Brush;
    set outline(a: Brush);
    get dashArray(): DoubleCollection;
    set dashArray(a: DoubleCollection);
    get dashCap(): PenLineCap;
    set dashCap(a: PenLineCap);
    get index(): number;
    get thickness(): number;
    set thickness(a: number);
    get title(): any;
    set title(a: any);
    get transitionDuration(): number;
    set transitionDuration(a: number);
    get transitionEasingFunction(): (time: number) => number;
    set transitionEasingFunction(a: (time: number) => number);
    get markerBrush(): Brush;
    set markerBrush(a: Brush);
    get markerOutline(): Brush;
    set markerOutline(a: Brush);
    get markerStyle(): Style;
    set markerStyle(a: Style);
    get markerTemplate(): DataTemplate;
    set markerTemplate(a: DataTemplate);
    get markerType(): MarkerType;
    set markerType(a: MarkerType);
    get markerThickness(): number;
    set markerThickness(a: number);
    get lineCap(): PenLineCap;
    set lineCap(a: PenLineCap);
}
/**
 * @hidden
 */
export declare abstract class FragmentBase extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    constructor();
    zf: CategoryLineRasterizer;
    private _logicalSeriesLink;
    get logicalSeriesLink(): StackedFragmentSeries;
    set logicalSeriesLink(a: StackedFragmentSeries);
    private zh;
    get parentSeries(): StackedSeriesBase;
    set parentSeries(a: StackedSeriesBase);
    protected get_ej(): boolean;
    protected get_ep(): boolean;
    lu(): string;
    i7(): number;
    protected oa(a: Series): void;
    jc(): number;
    resolveLegendIndex(): number;
    bk(): Series;
    vl(): CategoryAxisBase;
    ze(): CategoryFramePreparer;
    v6(): NumericAxisBase;
    zj(a: ISupportsMarkers, b: CategoryFrame, c: number[], d: IDetectsCollisions, e: number, f: number, g: number, h: number): boolean;
    w2(a: CategoryFrame, b: CategorySeriesView): void;
    th(a: Point, b: boolean, c: boolean): Point;
    ag(): Axis[];
    private zk;
    zm(a: PointCollection, b: List$1<number[]>, c: CategorySeriesView): void;
    gl(a: Rect, b: Rect, c: SeriesView): boolean;
    xr(a: CategorySeriesView): number;
    aq(a: Axis): AxisRange;
    zl(): number;
    zn(a: IChartLegend): void;
    protected o8(a: any, b: string, c: any, d: any): void;
    pr(a: Rect, b: RenderSurface): void;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class AreaFragment extends FragmentBase {
    static $t: Type;
    constructor();
    protected cg(): SeriesView;
    zo: AreaFragmentView;
    o0(a: SeriesView): void;
    protected get_d9(): boolean;
    protected get_d8(): boolean;
    protected vw(): CategoryTransitionInMode;
    protected zq(a: Point, b: boolean): boolean;
    f4(a: Point, b: boolean): boolean;
    private zp;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    nj(a: boolean, b: SeriesView): void;
    w5(a: CategoryFrame, b: CategorySeriesView): void;
    p9(): void;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class ColumnFragment extends FragmentBase {
    static $t: Type;
    protected get_ed(): boolean;
    protected get_ey(): boolean;
    protected ip(): number;
    protected vw(): CategoryTransitionInMode;
    constructor();
    protected cg(): SeriesView;
    zp: ColumnFragmentView;
    o0(a: SeriesView): void;
    zs: number;
    zt: number;
    get fragmentXAxis(): CategoryAxisBase;
    get fragmentYAxis(): NumericAxisBase;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    vl(): CategoryAxisBase;
    v6(): NumericAxisBase;
    protected get_du(): boolean;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    nj(a: boolean, b: SeriesView): void;
    aq(a: Axis): AxisRange;
    gl(a: Rect, b: Rect, c: SeriesView): boolean;
    gi(): boolean;
    wn(a: SeriesView): number;
    wo(a: SeriesView): number;
    wp(a: SeriesView): number;
    ts(a: Point): Rect;
    f4(a: Point, b: boolean): boolean;
    protected f7(a: Point, b: boolean): boolean;
    protected zy(a: Rect, b: number): Rect;
    jy(a: any, b: Point): any;
    jr(a: Point): any;
    ja(a: Point): number;
    i8(a: Point): number;
    zj(a: ISupportsMarkers, b: CategoryFrame, c: number[], d: IDetectsCollisions, e: number, f: number, g: number, h: number): boolean;
    private zr;
    po(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    w2(a: CategoryFrame, b: CategorySeriesView): void;
    w5(a: CategoryFrame, b: CategorySeriesView): void;
    protected o8(a: any, b: string, c: any, d: any): void;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class BarFragment extends ColumnFragment {
    static $t: Type;
    constructor();
    protected get_eb(): boolean;
    protected get_ey(): boolean;
    protected get_ed(): boolean;
    protected vw(): CategoryTransitionInMode;
    get barFragmentXAxis(): NumericXAxis;
    get barFragmentYAxis(): CategoryYAxis;
    vl(): CategoryAxisBase;
    protected get_isVertical(): boolean;
    hv(a: Point): number;
    v6(): NumericAxisBase;
    protected zy(a: Rect, b: number): Rect;
    ts(a: Point): Rect;
    f4(a: Point, b: boolean): boolean;
    zj(a: ISupportsMarkers, b: CategoryFrame, c: number[], d: IDetectsCollisions, e: number, f: number, g: number, h: number): boolean;
    jr(a: Point): any;
    ja(a: Point): number;
    xr(a: CategorySeriesView): number;
    protected o8(a: any, b: string, c: any, d: any): void;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class AreaFragmentBucketCalculator extends AnchoredCategoryBucketCalculator {
    static $t: Type;
    constructor(a: AnchoredCategorySeriesView);
    getBucketWithoutUnknowns(a: number): number[];
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class LineFragmentBucketCalculator extends AnchoredCategoryBucketCalculator {
    static $t: Type;
    constructor(a: AnchoredCategorySeriesView);
    getBucketWithoutUnknowns(a: number): number[];
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class SplineFragmentBucketCalculator extends AnchoredCategoryBucketCalculator {
    static $t: Type;
    constructor(a: AnchoredCategorySeriesView);
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class StackedBucketCalculator extends CategoryBucketCalculator {
    static $t: Type;
    constructor(a: CategorySeriesView);
    getBucket(a: number): number[];
    getBucket1(a: AnchoredCategorySeries, b: number, c: number, d: Rect, e: Rect, f: CategoryFrame): number[];
}
/**
 * @hidden
 */
export declare class StackedBarBucketCalculator extends StackedBucketCalculator {
    static $t: Type;
    constructor(a: CategorySeriesView);
    g(a: number): void;
    getBucket(a: number): number[];
    getBucket1(a: AnchoredCategorySeries, b: number, c: number, d: Rect, e: Rect, f: CategoryFrame): number[];
}
/**
 * @hidden
 */
export declare class StackedColumnBucketCalculator extends StackedBucketCalculator {
    static $t: Type;
    constructor(a: CategorySeriesView);
    getBucket(a: number): number[];
    getBucket1(a: AnchoredCategorySeries, b: number, c: number, d: Rect, e: Rect, f: CategoryFrame): number[];
}
/**
 * @hidden
 */
export declare class FragmentBaseValueList extends Base implements IList$1<number> {
    static $t: Type;
    private a;
    constructor(a: FragmentBase);
    indexOf(a: number): number;
    insert(a: number, b: number): void;
    removeAt(a: number): void;
    item(a: number, b?: number): number;
    add(a: number): void;
    clear(): void;
    contains(a: number): boolean;
    copyTo(a: number[], b: number): void;
    get count(): number;
    get isReadOnly(): boolean;
    remove(a: number): boolean;
    getEnumerator(): IEnumerator$1<number>;
    getEnumeratorObject(): IEnumerator;
}
/**
 * @hidden
 */
export declare class LineFragment extends FragmentBase {
    static $t: Type;
    protected get_ex(): boolean;
    protected wg(): boolean;
    constructor();
    protected cg(): SeriesView;
    zo: LineFragmentView;
    o0(a: SeriesView): void;
    protected zq(a: Point, b: boolean): boolean;
    protected get_d9(): boolean;
    f4(a: Point, b: boolean): boolean;
    private zp;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    nj(a: boolean, b: SeriesView): void;
    w5(a: CategoryFrame, b: CategorySeriesView): void;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare abstract class SplineFragmentBase extends SplineSeriesBase {
    static $t: Type;
    private _logicalSeriesLink;
    get logicalSeriesLink(): StackedFragmentSeries;
    set logicalSeriesLink(a: StackedFragmentSeries);
    zy: CategoryLineRasterizer;
    constructor();
    private z0;
    get parentSeries(): StackedSeriesBase;
    set parentSeries(a: StackedSeriesBase);
    protected oa(a: Series): void;
    protected get_ej(): boolean;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    protected get_ep(): boolean;
    lu(): string;
    th(a: Point, b: boolean, c: boolean): Point;
    ag(): Axis[];
    private z2;
    i7(): number;
    resolveLegendIndex(): number;
    jc(): number;
    bk(): Series;
    zk(a: CategoryFrame, b: number[], c: CollisionAvoider, d: number, e: number, f: CategorySeriesView, g: number): boolean;
    gl(a: Rect, b: Rect, c: SeriesView): boolean;
    aq(a: Axis): AxisRange;
    z3(a: CategoryFrame, b: Rect, c: Rect, d: CategoryAxisBase, e: NumericYAxis, f: CategorySeriesView): void;
    w2(a: CategoryFrame, b: CategorySeriesView): void;
    ze(a: CategorySeriesView): number[][];
    zf(a: CategorySeriesView): number[][];
    zt(a: CategorySeriesView): void;
    protected o8(a: any, b: string, c: any, d: any): void;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class SplineAreaFragment extends SplineFragmentBase {
    static $t: Type;
    constructor();
    protected cg(): SeriesView;
    o0(a: SeriesView): void;
    private z4;
    ac(): void;
    protected get_d9(): boolean;
    protected get_d8(): boolean;
    protected get_fd(): boolean;
    protected vw(): CategoryTransitionInMode;
    protected z6(a: Point, b: boolean): boolean;
    f4(a: Point, b: boolean): boolean;
    private z5;
    z8: PointCollection;
    nj(a: boolean, b: SeriesView): void;
    w5(a: CategoryFrame, b: CategorySeriesView): void;
    pr(a: Rect, b: RenderSurface): void;
    z7(a: PointCollection, b: List$1<number[]>, c: CategorySeriesView): void;
    xr(a: CategorySeriesView): number;
    p9(): void;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class SplineFragment extends SplineFragmentBase {
    static $t: Type;
    protected get_fd(): boolean;
    protected wg(): boolean;
    constructor();
    protected cg(): SeriesView;
    z4: SplineFragmentView;
    o0(a: SeriesView): void;
    protected z6(a: Point, b: boolean): boolean;
    protected get_d9(): boolean;
    f4(a: Point, b: boolean): boolean;
    private z5;
    nj(a: boolean, b: SeriesView): void;
    w5(a: CategoryFrame, b: CategorySeriesView): void;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class SplineFragmentBaseValueList extends Base implements IList$1<number> {
    static $t: Type;
    private a;
    constructor(a: SplineFragmentBase);
    indexOf(a: number): number;
    insert(a: number, b: number): void;
    removeAt(a: number): void;
    item(a: number, b?: number): number;
    add(a: number): void;
    clear(): void;
    contains(a: number): boolean;
    copyTo(a: number[], b: number): void;
    get count(): number;
    get isReadOnly(): boolean;
    remove(a: number): boolean;
    getEnumerator(): IEnumerator$1<number>;
    getEnumeratorObject(): IEnumerator;
}
/**
 * @hidden
 */
export declare abstract class StackedSeriesBase extends CategorySeries implements IIsCategoryBased {
    static $t: Type;
    constructor();
    og(): void;
    protected get_es(): boolean;
    getHostReferenceValue(): number;
    protected cg(): SeriesView;
    xl: StackedSeriesView;
    o0(a: SeriesView): void;
    o1(a: Rect, b: Rect): void;
    private _series;
    get series(): StackedSeriesCollection;
    set series(a: StackedSeriesCollection);
    jh(): number;
    n5(a: (arg1: Series) => boolean): void;
    xm: boolean;
    xo: boolean;
    protected get_isStacked(): boolean;
    seriesCreated: (sender: any, e: StackedSeriesCreatedEventArgs) => void;
    yb: Visibility;
    xu: number;
    xt: number;
    xc: number[];
    xd: number[];
    xk: StackedSeriesManager;
    xh: StackedSeriesCollection;
    get xg(): StackedSeriesCollection;
    private x0;
    private x6;
    private x5;
    p2(a: Point): void;
    vs(a: CategorySeriesView): CategoryFramePreparer;
    w2(a: CategoryFrame, b: CategorySeriesView): void;
    pq(a: boolean): void;
    protected get_f2(): boolean;
    nj(a: boolean, b: SeriesView): void;
    x1(): void;
    x7(): void;
    protected get_xn(): boolean;
    get xn(): boolean;
    fo(a: any): boolean;
    aq(a: Axis): AxisRange;
    uc(): boolean;
    protected no(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    xf(): CategorySeriesView;
    xr(): number;
    xs(): number;
    xw(a: StackedFragmentSeries): number;
    xv(a: Point): number;
    xp(a: AnchoredCategorySeries, b: Rect, c: Rect, d: SeriesView): boolean;
    private xq;
    x2(): void;
    w5(a: CategoryFrame, b: CategorySeriesView): void;
    x4(a: AnchoredCategorySeries, b: CategoryFrame, c: CategorySeriesView, d: (orderedStartIndex: number, orderedEndIndex: number) => any[]): void;
    ar(a: Rect): AxisRange;
    pt(): void;
    protected x3(): void;
    protected o8(a: any, b: string, c: any, d: any): void;
    get currentCategoryMode(): CategoryMode;
    get scaler(): ICategoryScaler;
    get yScaler(): IScaler;
    get bucketizer(): IBucketizer;
    get currentMode2Index(): number;
    provideCollisionDetector(): IDetectsCollisions;
    protected fw(): boolean;
    protected get_ej(): boolean;
    pr(a: Rect, b: RenderSurface): void;
    xe: CategoryFrame;
    po(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    jq(): any;
    get mayContainUnknowns(): boolean;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare abstract class HorizontalStackedSeriesBase extends StackedSeriesBase {
    static $t: Type;
    xAxis: CategoryAxisBase;
    protected get_dz(): boolean;
    protected get_fi(): boolean;
    ce(): SeriesPlotAreaMarginHorizontalMode;
    cf(): SeriesPlotAreaMarginVerticalMode;
    yAxis: NumericYAxis;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    ag(): Axis[];
    wh(): boolean;
    p9(): void;
    protected o8(a: any, b: string, c: any, d: any): void;
    yf(a: any): boolean;
    ye(a: any): boolean;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StackedAreaSeries extends HorizontalStackedSeriesBase {
    static $t: Type;
    protected get_d8(): boolean;
    constructor();
    ac(): void;
    protected cg(): SeriesView;
    yk: StackedAreaSeriesView;
    o0(a: SeriesView): void;
    aq(a: Axis): AxisRange;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare abstract class VerticalStackedSeriesBase extends StackedSeriesBase {
    static $t: Type;
    xAxis: NumericXAxis;
    yAxis: CategoryYAxis;
    vl(): CategoryAxisBase;
    v6(): NumericAxisBase;
    ce(): SeriesPlotAreaMarginHorizontalMode;
    cf(): SeriesPlotAreaMarginVerticalMode;
    ar(a: Rect): AxisRange;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    protected get_isVertical(): boolean;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    wh(): boolean;
    protected o8(a: any, b: string, c: any, d: any): void;
    yf(a: any): boolean;
    ye(a: any): boolean;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StackedBarSeries extends VerticalStackedSeriesBase implements IBarSeries {
    static $t: Type;
    protected get_eb(): boolean;
    protected get_ey(): boolean;
    protected ip(): number;
    constructor();
    ac(): void;
    protected cg(): SeriesView;
    yk: StackedBarSeriesView;
    o0(a: SeriesView): void;
    yl: number;
    ym: number;
    xf(): CategorySeriesView;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    wq(): number;
    xr(): number;
    xs(): number;
    aq(a: Axis): AxisRange;
    fo(a: any): boolean;
    gl(a: Rect, b: Rect, c: SeriesView): boolean;
    protected no(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    i8(a: Point): number;
    jr(a: Point): any;
    x7(): void;
    xv(a: Point): number;
    xp(a: AnchoredCategorySeries, b: Rect, c: Rect, d: SeriesView): boolean;
    h0(): number;
    x4(a: AnchoredCategorySeries, b: CategoryFrame, c: CategorySeriesView, d: (orderedStartIndex: number, orderedEndIndex: number) => any[]): void;
    protected o8(a: any, b: string, c: any, d: any): void;
    getPreferredCategoryMode(): CategoryMode;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StackedColumnSeries extends HorizontalStackedSeriesBase {
    static $t: Type;
    protected get_ed(): boolean;
    protected get_ey(): boolean;
    protected ip(): number;
    constructor();
    protected cg(): SeriesView;
    yk: StackedColumnSeriesView;
    o0(a: SeriesView): void;
    yl: number;
    ym: number;
    xf(): CategorySeriesView;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    aq(a: Axis): AxisRange;
    h0(): number;
    x4(a: AnchoredCategorySeries, b: CategoryFrame, c: CategorySeriesView, d: (orderedStartIndex: number, orderedEndIndex: number) => any[]): void;
    protected o8(a: any, b: string, c: any, d: any): void;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StackedSplineAreaSeries extends HorizontalStackedSeriesBase {
    static $t: Type;
    yl: boolean;
    protected ip(): number;
    protected get_d8(): boolean;
    protected get_fd(): boolean;
    constructor();
    ac(): void;
    protected cg(): SeriesView;
    yk: StackedSplineAreaSeriesView;
    o0(a: SeriesView): void;
    aq(a: Axis): AxisRange;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    protected o8(a: any, b: string, c: any, d: any): void;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StackedSplineSeries extends HorizontalStackedSeriesBase {
    static $t: Type;
    yl: boolean;
    protected get_fd(): boolean;
    protected ip(): number;
    constructor();
    ac(): void;
    protected cg(): SeriesView;
    yk: StackedSplineSeriesView;
    o0(a: SeriesView): void;
    aq(a: Axis): AxisRange;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StackedFragmentSeries extends DependencyObject implements INotifyPropertyChanged {
    static $t: Type;
    constructor();
    itemsSource: IEnumerable;
    highlightedItemsSource: IEnumerable;
    kk: Brush;
    kf: Brush;
    kt: DoubleCollection;
    ks: DoubleCollection;
    kw: PenLineCap;
    ku: PenLineCap;
    au: boolean;
    al: boolean;
    b1: number;
    bi: number;
    kr: Color;
    kq: Color;
    a4: boolean;
    ar: boolean;
    b2: number;
    bj: number;
    b3: number;
    bk: number;
    kx: PenLineCap;
    kv: PenLineCap;
    av: boolean;
    am: boolean;
    hf: DataTemplate;
    hc: DataTemplate;
    hg: DataTemplate;
    hd: DataTemplate;
    lf: Visibility;
    ld: Visibility;
    r: LegendItemBadgeShape;
    p: LegendItemBadgeMode;
    q: LegendItemBadgeShape;
    o: LegendItemBadgeMode;
    kl: Brush;
    kg: Brush;
    km: Brush;
    kh: Brush;
    lc: Style;
    lb: Style;
    hh: DataTemplate;
    he: DataTemplate;
    x: MarkerType;
    w: MarkerType;
    t: MarkerFillMode;
    s: MarkerFillMode;
    v: MarkerOutlineMode;
    u: MarkerOutlineMode;
    er: string;
    by: number;
    bf: number;
    kn: Brush;
    ki: Brush;
    ko: Brush;
    kj: Brush;
    bm: number;
    bb: number;
    bw: number;
    bd: number;
    ab: SeriesOutlineMode;
    aa: SeriesOutlineMode;
    bv: number;
    bc: number;
    z: SeriesHighlightedValuesDisplayMode;
    bz: number;
    bg: number;
    an: boolean;
    aw: boolean;
    b0: number;
    bh: number;
    b4: number;
    bl: number;
    bx: number;
    be: number;
    cj: any;
    ck: any;
    cf: any;
    ai: (time: number) => number;
    cd: number;
    ce: number;
    aj: (time: number) => number;
    n: CategoryTransitionInMode;
    ax: boolean;
    ae: TransitionInSpeedType;
    ao: boolean;
    b7: number;
    m: CategoryTransitionInMode;
    ad: TransitionInSpeedType;
    ah: (time: number) => number;
    ag: (time: number) => number;
    b6: number;
    a3: boolean;
    aq: boolean;
    a2: boolean;
    ap: boolean;
    fk: string;
    fg: string;
    fi: string;
    dw: string;
    dy: string;
    cg(a: number, b: number): any;
    lg: Visibility;
    le: Visibility;
    private _parentSeries;
    get parentSeries(): StackedSeriesBase;
    set parentSeries(a: StackedSeriesBase);
    cc: number;
    af: SeriesViewer;
    ak: IFastItemColumn$1<number>;
    private _visualSeriesLink;
    get visualSeriesLink(): AnchoredCategorySeries;
    set visualSeriesLink(a: AnchoredCategorySeries);
    a7: List$1<number>;
    a8: List$1<number>;
    a6: List$1<number[]>;
    az: boolean;
    b8(a: Point): number;
    ch(a: Point): any;
    cb(a: Point, b: boolean): number;
    ca(a: Point, b: boolean): number;
    bt(a: Point, b: boolean, c: boolean): number;
    k3(a: Point, b: boolean, c: boolean): Point;
    k7(a: Point): Rect;
    j(a: Point): Rect[];
    k8(a: Point): Rect;
    k(a: Point): Rect[];
    k9(a: Point): Rect;
    la(a: Point): Rect;
    bp(a: Point, b: boolean, c: boolean): number;
    kz(a: Point, b: boolean, c: boolean): Point;
    br(a: Point, b: boolean, c: boolean): number;
    k1(a: Point, b: boolean, c: boolean): Point;
    k4(a: Point, b: boolean, c: boolean): Point;
    bu(a: Point, b: boolean, c: boolean): number;
    k0(a: Point, b: boolean, c: boolean): Point;
    bq(a: Point, b: boolean, c: boolean): number;
    k2(a: Point, b: boolean, c: boolean): Point;
    bs(a: Point, b: boolean, c: boolean): number;
    b9(a: Point): number;
    bo(): number;
    bn(a: Point): number;
    ci(a: Point): any;
    as(a: List$1<SeriesPointOfInterest>, b: boolean, c: boolean, d: number): boolean;
    k5(a: Point): Point;
    ky(a: Point): Point;
    a0(a: any): boolean;
    k6(): Rect;
    fo(): void;
    ft(a: Point): void;
    a1(a: Point, b: boolean): boolean;
    fn(a: Point): void;
    b5: DomRenderer;
    provideRenderer(a: DomRenderer): void;
    kp: Brush;
    hb(): void;
    gj(): void;
    gl(): void;
    fv(): void;
    fw(): void;
    f0(): void;
    fz(): void;
    gp(): void;
    gf(): void;
    fx(): void;
    f1(): void;
    gs(): void;
    gt(): void;
    g7(): void;
    gu(): void;
    gv(): void;
    f2(): void;
    f8(): void;
    f9(): void;
    ga(): void;
    f7(): void;
    f6(): void;
    gd(): void;
    gg(): void;
    gi(): void;
    gm(): void;
    gn(): void;
    go(): void;
    f5(): void;
    fy(): void;
    fu(): void;
    f3(): void;
    gq(): void;
    gr(): void;
    gb(): void;
    gw(): void;
    gc(): void;
    gk(): void;
    gy(): void;
    g0(): void;
    gz(): void;
    g2(): void;
    g3(): void;
    g4(): void;
    f4(): void;
    g1(): void;
    g6(): void;
    gx(): void;
    ge(): void;
    gh(): void;
    g5(): void;
    g9(): void;
    g8(): void;
    ha(): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    propertyUpdated: (sender: any, e: PropertyUpdatedEventArgs) => void;
    protected fr(a: string, b: any, c: any): void;
    private a5;
    private at;
    private ay;
    protected fp(a: any, b: string, c: any, d: any): void;
    fs(): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StackedSeriesCollection extends ObservableCollection$1<StackedFragmentSeries> {
    static $t: Type;
    constructor();
    collectionResetting: (sender: any, e: EventArgs) => void;
    protected p(): void;
}
/**
 * @hidden
 */
export declare class StackedSeriesFramePreparer extends CategoryFramePreparer {
    static $t: Type;
    constructor(a: number, b: IIsCategoryBased);
    constructor(a: number, b: IIsCategoryBased, c: ISupportsMarkers, d: IProvidesViewport, e: ISupportsErrorBars, f: IBucketizer);
    constructor(a: number, ..._rest: any[]);
    protected j(a: PreparationParams): ValuesHolder;
    protected t(a: PreparationParams, b: ValuesHolder, c: number, d: boolean, e: boolean): number;
    protected l(a: CategoryFrame, b: number[], c: IDetectsCollisions, d: number, e: number, f: number): boolean;
}
/**
 * @hidden
 */
export declare class AreaFragmentView extends AnchoredCategorySeriesView {
    static $t: Type;
    dd: AreaFragment;
    au(): void;
    constructor(a: AreaFragment);
    dj: Path;
    dl: Path;
    dk: Path;
    dm: Path;
    df: Path;
    dh: Path;
    dg: Path;
    di: Path;
    de(): void;
    cv(): CategoryBucketCalculator;
    protected bd(): void;
    protected be(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    protected get_index(): number;
    an(a: any): void;
}
/**
 * @hidden
 */
export declare class ColumnFragmentView extends AnchoredCategorySeriesView {
    static $t: Type;
    dd: ColumnFragment;
    au(): void;
    constructor(a: ColumnFragment);
    protected dh: List$1<Rectangle>;
    de: Pool$1<Rectangle>;
    df: List$1<number>;
    dg: List$1<number>;
    private dn;
    private di;
    private dk;
    private dj;
    protected bg(a: any, b: number): void;
    dl(a: Rectangle, b: number, c: number): void;
    protected bh(a: any, b: number): void;
    protected ac(a: number): any;
    private dm;
    protected ab(a: number): any;
    protected a8(a: RenderingContext, b: boolean): void;
    protected get_index(): number;
    an(a: any): void;
    getDefaultTooltipTemplate(): string;
}
/**
 * @hidden
 */
export declare class LineFragmentView extends AnchoredCategorySeriesView {
    static $t: Type;
    dd: LineFragment;
    constructor(a: LineFragment);
    dj: Path;
    di: Path;
    dk: Path;
    dg: Path;
    df: Path;
    dh: Path;
    de(): void;
    cv(): CategoryBucketCalculator;
    protected bd(): void;
    protected be(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    protected get_index(): number;
    an(a: any): void;
}
/**
 * @hidden
 */
export declare class SplineAreaFragmentView extends SplineSeriesBaseView {
    static $t: Type;
    private df;
    au(): void;
    constructor(a: SplineAreaFragment);
    dl: Path;
    dn: Path;
    dm: Path;
    dp: Path;
    dh: Path;
    dj: Path;
    di: Path;
    dk: Path;
    dg(): void;
    protected bd(): void;
    protected be(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    protected get_index(): number;
    an(a: any): void;
}
/**
 * @hidden
 */
export declare class SplineFragmentView extends SplineSeriesBaseView {
    static $t: Type;
    df: SplineFragment;
    constructor(a: SplineFragment);
    cv(): CategoryBucketCalculator;
    dl: Path;
    dk: Path;
    dm: Path;
    di: Path;
    dh: Path;
    dj: Path;
    dg(): void;
    protected bd(): void;
    protected be(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    protected get_index(): number;
    an(a: any): void;
}
/**
 * @hidden
 */
export declare class StackedSeriesView extends CategorySeriesView {
    static $t: Type;
    c3: StackedSeriesBase;
    private readonly c4;
    get c5(): Canvas;
    private readonly c6;
    get c7(): Panel;
    constructor(a: StackedSeriesBase);
    cv(): CategoryBucketCalculator;
    ar(): void;
    at(a: RenderingContext, b: RenderingContext): void;
    protected af(): void;
}
/**
 * @hidden
 */
export declare class StackedBarSeriesView extends StackedSeriesView {
    static $t: Type;
    c8: StackedBarSeries;
    constructor(a: StackedBarSeries);
    cv(): CategoryBucketCalculator;
    au(): void;
}
/**
 * @hidden
 */
export declare class StackedColumnSeriesView extends StackedSeriesView {
    static $t: Type;
    constructor(a: StackedColumnSeries);
    cv(): CategoryBucketCalculator;
    au(): void;
}
/**
 * @hidden
 */
export declare class StackedAreaSeriesView extends StackedSeriesView {
    static $t: Type;
    constructor(a: StackedAreaSeries);
    au(): void;
}
/**
 * @hidden
 */
export declare class StackedSplineAreaSeriesView extends StackedSeriesView {
    static $t: Type;
    constructor(a: StackedSplineAreaSeries);
    au(): void;
    c8(): number;
}
/**
 * @hidden
 */
export declare class StackedSplineSeriesView extends StackedSeriesView {
    static $t: Type;
    constructor(a: StackedSplineSeries);
    au(): void;
    c8(): number;
}
/**
 * @hidden
 */
export declare class StackedSeriesManager extends Base {
    static $t: Type;
    constructor(a: StackedSeriesBase);
    b: StackedSeriesBase;
    f: ObservableCollection$1<AnchoredCategorySeries>;
    c: StackedSeriesCollection;
    e: ObservableCollection$1<AnchoredCategorySeries>;
    d: ObservableCollection$1<AnchoredCategorySeries>;
    k: Canvas;
    l: Panel;
    a(a: StackedFragmentSeries): AnchoredCategorySeries;
    j(): void;
    private i;
    h(a: boolean): void;
    private g;
}
